/* GENERAL STYLES V0.5*/
/*  FONTS ---------------------------- */
/* Urbanist */
/* @font-face {
    font-family: 'Ketucky', sans-serif;
    src: url('../fonts/Ketucky/Ketucky-ExtraLight.ttf') format('truetype');
    font-weight: 200;
    font-style: extralight;
    font-display: swap;
} */

/* @font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins/Poppins-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: light;
    font-display: swap;
} */

@font-face {
    font-family: 'Kentucky';
    src: url('../fonts/Kentucky/KentuckyStraightPl-Body.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

/* @font-face {
    font-family: 'Urbanist';
    src: url('../fonts/Poppins/Poppins-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
} */

/* @font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins/Poppins-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
} */

/* @font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins/Poppins-Bold.ttf') format('truetype');
    font-weight: 700;
    font-style: bold;
    font-display: swap;
} */

/* @font-face {
    font-family: 'Plus Jakarta Sans';
    src: url('../fonts/Plus Jakarta Sans/PlusJakartaSans-VariableFont_wght.ttf') format('truetype');
    font-weight: 800;
    font-style: extrabold;
    font-display: swap;
} */

/* @font-face {
    font-family: 'Poppins';
    src: url('../fonts/Poppins/Poppins-Black.ttf') format('truetype');
    font-weight: 900;
    font-style: black;
    font-display: swap;
} */

/* ================================================ */
/*  SECTION COLORS */
/* ================================================ */

:root {
   
    --medium-grey: #6D6D6D;
    --graphite: #424242;
    --beige: #FDE4D6;
    --red: #B12328;
    --red-50: #b123287d;
    --amber: #FD9224;
    --black: #020202;
    --white: #fff;
}

/* ================================================ */
/*  SECTION GENERAL STYLES */
/* ================================================ */

html {
    scroll-behavior: smooth;
}


body {
    font-family: "Kentucky", sans-serif;
    font-weight: 400;
    color: var(--graphite);
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
    text-transform: uppercase;
}

main {
    min-height: calc(80vh - 120px);
}

section {
    position: relative;
    padding: 30px 0;
}

div,
p,
a,
span,
h1,
h2,
h3,
h4,
h5,
h6 {
    box-sizing: border-box;
}

img {
    height: auto;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

h1 {
    font-style: normal;
    font-size: 2.5rem;

}



h3 {
    font-size: 1.4rem;
    margin-bottom: 10px;
    text-transform: uppercase;
}

h4 {
    font-size: 1.1rem;
}

h5 {
    font-size: 1rem;
}

h1, h2, h3, h4, h5, h6 {
    text-transform: uppercase;
}


a {
    text-decoration: none;
    color: inherit;
    font-weight: 700;
    transition: 0.3s ease-in-out;
}

a:hover {
    text-decoration: none;
    color: #e79585;
    /* text-shadow: 0 0 3px rgba(255, 255, 255, 0.8); */
}

ul {
    padding-left: 0;
}

li {
    list-style: none;
}

strong {
    font-weight: 600;
}


.hidden {
    display: none; /* this hidesn content also in Gutenberg */
} 

.content-hidden {
    display: none;
}


.uppercase {
    text-transform: uppercase;
}

.text-white {
    color: #fff;
}

.text-red {
    color: var(--red);
}

.no-padding {
    padding: 0 !important;
}

.no-margin {
    margin: 0 !important;
}

.no-margin-bottom {
    margin-bottom: 0;
}

.button-center {
    margin: 0 auto;
}


.overflow-visible {
    overflow-y: visible;
}

/* Margins ---------------------------- */

.margin-top-xxs {
    margin-top: 10px;
}
.margin-top-xs {
    margin-top: 20px;
}

.margin-top-sm {
    margin-top: 40px;
}

.margin-top-md {
    margin-top: 80px;
}

.margin-top-lg {
    margin-top: 120px;
}

.margin-top-xl {
    margin-top: 160px;
}


.margin-bottom-xxs {
    margin-bottom: 10px;
}
.margin-bottom-xs {
    margin-bottom: 20px;
}


.margin-bottom-sm {
    margin-bottom: 40px;
}

.margin-bottom-md {
    margin-bottom: 80px;
}

.margin-bottom-lg {
    margin-bottom: 120px;
}

/* Padding ---------------------------- */
.padding-top-xxs {
    padding-top: 10px;
}
.padding-top-xs {
    padding-top: 20px;
}

.padding-top-sm {
    padding-top: 40px;
}

.padding-top-md {
    padding-top: 80px;
}

.padding-top-lg {
    padding-top: 120px;
}

.padding-top-xl {
    padding-top: 160px;
}

.padding-bottom-xs {
    padding-bottom: 20px;
}

.padding-bottom-xxs {
    padding-bottom: 10px;
}
.padding-bottom-sm {
    padding-bottom: 40px;
}

.padding-bottom-md {
    padding-bottom: 80px;
}

.padding-bottom-lg {
    padding-bottom: 120px;
}

.padding-sides-md {
    padding: 0 5%;
}


/* ================================================ */
/* SECTION NAVIGATION */
/* ================================================ */

.navbar-brand-img {
    max-width: 160px;
}


/* TOGGLER BUTTON */

.navbar-toggler {
    outline: none;
    border: none;
    box-shadow: none;
}

.navbar-toggler:focus,
.navbar-toggler:active,
.navbar-toggler:focus-visible {
    outline: none;
    box-shadow: none;
}

.navbar-toggler-icon {
    background-image: url('../images/menu-svgrepo-com.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    width: 50px;
    height: 50px;
    transition: 0.3s ease-in-out;

    &:hover {
        transform: scaleY(1.2);
    }
}


/* NAV CONTENT */
.navbar-nav {
    padding-inline: 10%;

    & li {
        text-align: center;
        margin: auto;
        margin-bottom: 1rem;
    }

    & a {
        color: var(--graphite);
        font-weight: 600;
        transition: 0.3s ease-in-out;
        font-size: 1.3rem;

        &:hover {
            color: var(--red);
        }
    }

    & .cta a {
        color: #fff;
    }

 }

 .navbar-nav li:last-child {
    margin-top: 40px;
 }

.offcanvas-header {
    background: var(--amber);
}
 .offcanvas-body {
    background: var(--amber);
 }

 .offcanvas-logo {
    display: flex;
    justify-content: center;
    margin-top: 10px;
   

    & img {
        max-width: 120px;
    }
 }
 
 

/* ================================================ */
/* SECTION LAYOUT */
/* ================================================ */

.mobile {
    display: none !important;
}

.desktop {
    display: block !important;
}

.container {
    max-width: 1200px;
}

.container-narrow {
    max-width: 800px;
}

.regular-page {
    & h2 {
        display: inline-block;
        font-size: 1.5rem;
        font-weight: 600;
        margin-bottom: 10px;
        margin-top: 20px;
    }

    & a {
        text-decoration: underline;
        /* font-weight: 500; */
    }

    & ol {
        padding-left: 2rem;

        &>li {
            list-style-type: unset
        }
    }

    & ul {
        padding-left: 20px;
        margin-bottom: 20px;

        & li {
        
            position: relative;
        }

        & li:before {
            content: "•";
            position: absolute;
            left: -1em;
            font-size: 20px;
            line-height: 1;
        }
    }

    & img {
        margin-top: 15px;
        margin-bottom: 15px;
    }

}


/* ================================================ */
/* SECTION OTHER COMMON ELEMENTS */
/* ================================================ */
.text-center {
    text-align: center;
}
.text-red {
    color: var(--red);
}

.text-green {
    color: var(--green);
}


.section-title {
    margin-bottom: 40px;

    & h2 {
        font-size: 4rem;
        line-height: 4.5rem;
        color: var(--red);
    }
}

/* ================================================ */
/* SECTION DEFAULT WORDPRESS STYLES */
/* ================================================ */

/* ================================================ */
/* SECTION TABLES */
/* ================================================ */


/* ================================================ */
/* SECTION BUTTONS */
/* ================================================ */

.cta-row {
    margin-top: 50px;
    z-index: 50;
    position: relative;
}

.cta {
    display: flex;
    justify-content: center;
    align-items: center;
    width: fit-content;
    min-width: 200px;
    padding: 5px 10px;
    border-radius: 15px;
    font-size: 1.8rem;
    font-weight: 600;
    text-transform: uppercase;
    transition: 0.3s ease-in-out;

    & span {
        z-index: 2;
        transition: 0.4s ease-in-out;
        transform: translateY(1px);
    }

}

.cta-primary {
    background-color: var(--red);
    position: relative;
    overflow: hidden;
    background: linear-gradient(90deg, #B12328 0%, #FD9224 100%);
    background-size: 400% 100%;
    background-position: 0 0;
    transition: 0.4s ease-in-out;

    & span {
        color: #fff;
    }

    &:hover {
        background-size: 100% 100%;
        background-position: 100% 0;
        box-shadow: 0 0 30px rgba(172, 51, 18, 0.44);
    }

    &:hover:before {
        left: 0;
    }
}


/* =============================== */
/*  SECTION FOOTER
/* =============================== */


footer {
    position: relative;
    min-height: 200px;
    padding-top: 4%;
    padding-bottom: 2%;
    /* background: linear-gradient(270deg, #0D0824 0%, #03030E 100%); */

    & h4 {
        font-size: 1.5rem;
    }

    & a {
        font-size: 1.5rem;
    }

    & p {
        margin-bottom: 0;
    }
}

.footer-title {
    font-size: 2rem;
    margin-bottom: 20px;
}

.footer-logo {
    max-width: 120px;
    margin: auto;
    margin-bottom: 10px;
}

.organizer-wrapper {
    margin-top: 20px;
    padding-top: 20px;
    position: relative;

    &:before {
        content: "";
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 150px;
        height: 1px;
        background: var(--pink);
    }
    
}

.pijodpowiedzialnie-wrapper {
    & a {
        font-size: 1.2rem;
    }
}

.pijodpowiedzialnie-wrapper img {
    max-width: 120px;
 }

 .organizer-wrapper:before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 200px;
    height: 2px;
    background: var(--red);
 }

/* ================================================ */
/* ================================================ */
/* GENERAL MEDIA QUERIES */
/* ================================================ */
/* ================================================ */

@media (prefers-reduced-motion: reduce) {
    html {
        scroll-behavior: auto;
    }
}